function [output]=calculate_routing_table_internet_2()

N=52;
L=60;
W=ones(1,L*2);
O=zeros(1,L*2);
D=zeros(1,L*2);
O=[1 2 2 3 3 4 4 5 5 6 ...
   6 7 7 8 8 9 9 10 10 11 ...
   11 12 12 13 13 14 14 15 15 16 ...
   16 17 17 18 18 19 19 20 20 21 ...
   21 22 22 52 52 23 23 24 24 25 ...
   25 26 26 27 27 28 28 29 29 30 ...
   30 31 31 32 32 33 33 34 34 1 ...
   1 35 35 36 36 37 37 38 38 39 ...
   4 50 50 36 36 49 49 6 37 48 ...
   48 9 38 47 47 46 46 11 46 45 ...
   45 44 44 43 43 14 43 42 42 41 ...
   41 40 40 24 52 51 51 17 39 24];
for i=1:60
    D(i*2-1)=O(i*2);
    D(i*2)=O(i*2-1);
end
DG = sparse(O,D,W);
OD_no=N*(N-1);


OD_no_table=zeros(N,N);
sum=1;
for i1=1:N
    for i2=1:N
        if (i1~=i2)
            OD_no_table(i1,i2)=sum;
            sum=sum+1;
        end
    end
end

node_path_table=zeros(N,N);
for i=1:60
    node_path_table(O(i*2-1),D(i*2-1))=i;
    node_path_table(O(i*2),D(i*2))=i;
end

routing_table=zeros(OD_no,15);
for i=1:N
    for j=1:N
        if( i~=j)
            OD_pair=OD_no_table(i,j);
            [dist,path,pred] = graphshortestpath(DG,i,j);
            path_length=length(path)-1;
            for k=1:path_length
                origin=path(k);
                destination=path(k+1);
                link=node_path_table(origin,destination);
                routing_table(OD_pair,k)=link;
            end
        end
    end
end
output=routing_table;
            
    
   
   
   
